<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_17</title>
</head>
<body>
    <h1>Capitulo 17</h1>
    <a>Ejercicio 3</a>

    <script>

        const conjuntoAlea = (m, n) => {
    
            for(let i = 0; i < n; i++) {
                console.log(m[i] + " ");
            }
        }
 
        const enterosEleg = (m, n, k) => {
     
            let reservoir = [];

            for(let i = 0; i < k; i++) {
                reservoir[i] = m[i];
            }
 
            for(let i = 0; i < n; i++) {
                let j = (Math.floor(Math.random() * 100000000) % (i + 1));
                  
                if (j < k) {
                    reservoir[j] = m[i];
                }
            }
 
            console.log("Elementos generados aleatoriamente: ");            
            conjuntoAlea(reservoir, k);
        }
 
        let m = [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12 ];
        let n = m.length;
        let k = 5;
        enterosEleg(m, n, k);

</script>
    
</body>
</html>